- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: TAttributeCollection TDummyDataSource TDummyDataSourceIterator TList TListIterator TMap TMapIterator TPagedDataSource TPagedList TPagedListFetchDataEventParameter TPagedListIterator TPagedListPageChangedEventParameter TPagedMapIterator TQueue TQueueIterator TStack TStackIterator |
Keyword
# Class TStackIterator
TStackIterator class TStackIterator implements Iterator interface. TStackIterator is used by TStack. It allows TStack to return a new iterator for traversing the items in the list. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Constructor Summary
public | __construct Array Constructor.
Method Summary
mixed | current () Returns the current array item.
integer | key () Returns the key of the current array item.
void | next () Moves the internal pointer to the next array item.
void | rewind () Rewinds internal array pointer.
boolean | valid () Returns whether there is an item at current position.
Constructor Details
## __construct
public __construct | Array
Constructor.
Method Details
## current
public mixed current | ()
Returns the current array item. This method is required by the interface Iterator.
Output
mixed | the current array item
Exception
## key
public integer key | ()
Returns the key of the current array item. This method is required by the interface Iterator.
Output
integer | the key of the current array item
Exception
## next
public void next | ()
Moves the internal pointer to the next array item. This method is required by the interface Iterator.
Output
Exception
## rewind
public void rewind | ()
Rewinds internal array pointer. This method is required by the interface Iterator.
Output
Exception
## valid
public boolean valid | ()
Returns whether there is an item at current position. This method is required by the interface Iterator.
Output
Exception